import 'package:anilibria/anilibria.dart';

void main() async {
  final anilibria = Anilibria(Uri.parse('https://api.anilibria.tv/v3'));

  // Fetch updated titles
  final updates = await anilibria.getUpdates(limit: 10);
  print(updates.list.map((e) => e.names?.en));

  // Search some titles
  final search = await anilibria.searchTitles(search: 'Maid Dragon');
  print(search.list.map((e) => e.names?.en));

  // Fetch random title
  final random = await anilibria.getRandomTitle();
  print(random.names?.en);

  // Fetch YouTube videos
  final videos = await anilibria.getYoutube();
  print(videos.list.map((e) => e.title));

  // Cleanup
  anilibria.dispose();
}
