class Page<T> {
  final List<T> list;
  final Pagination pagination;

  Page({
    required this.list,
    required this.pagination,
  });

  Page.fromJson(
      Map<String, dynamic> json, T Function(Map<String, dynamic>) fromJson)
      : list = [for (final e in json['list']) fromJson(e)],
        pagination = Pagination.fromJson(json['pagination']);
}

class Pagination {
  final int pages;
  final int currentPage;
  final int itemsPerPage;
  final int totalItems;

  Pagination({
    required this.pages,
    required this.currentPage,
    required this.itemsPerPage,
    required this.totalItems,
  });

  Pagination.fromJson(Map<String, dynamic> json)
      : pages = json['pages'],
        currentPage = json['current_page'],
        itemsPerPage = json['items_per_page'],
        totalItems = json['total_items'];
}
