class Youtube {
  final int? id;
  final String? title;
  final String? image;
  final String? youtubeId;
  final int? comments;
  final int? views;
  final DateTime? timestamp;

  Youtube({
    this.id,
    this.title,
    this.image,
    this.youtubeId,
    this.comments,
    this.views,
    this.timestamp,
  });

  Youtube.fromJson(Map<String, dynamic> json)
      : id = json['id'],
        title = json['title'],
        image = json['image'],
        youtubeId = json['youtube_id'],
        comments = json['comments'],
        views = json['views'],
        timestamp = json['timestamp'] == null
            ? null
            : DateTime.fromMillisecondsSinceEpoch(json['timestamp'] * 1000);
}
